javax.xml.registry

## Class JAXRException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.registry.JAXRException

- All Implemented Interfaces:
    Serializable, JAXRResponse
  Direct Known Subclasses:
    InvalidRequestException, RegistryException, UnexpectedObjectException, UnsupportedCapabilityException

      public class JAXRException
      extends Exception
      implements JAXRResponse

  Signals that a JAXR exception has occurred. It contains no members other than the standard reason String.
  Author:
    Nicholas Kassem, Mark Hapner, Rajiv Mordani, Farrukh Najmi
  See Also:
    `JAXRResponse`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Throwable` | `cause` The Throwable that caused this JAXRException to occur.

    - ### Fields inherited from interface javax.xml.registry.JAXRResponse

      `STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXRException()` Constructs a `JAXRException` object with no reason or embedded Throwable.
    `JAXRException(String reason)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
    `JAXRException(String reason, Throwable cause)` Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
    `JAXRException(Throwable cause)` Constructs a `JAXRException` object initialized with the given `Throwable` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the Throwable embedded in this `JAXRException` if there is one.
    `String` | `getMessage()` Returns the detail message for this `JAXRException` object.
    `String` | `getRequestId()` Returns the unique id for the request that generated this response.
    `int` | `getStatus()` Returns the status for this response.
    `Throwable` | `initCause(Throwable cause)` Initializes the cause of this throwable to the specified value.
    `boolean` | `isAvailable()` Returns true if a response is available, false otherwise.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected Throwable cause

      The Throwable that caused this JAXRException to occur. This is used when a JAXRException has a nested Throwable.

  - ### Constructor Detail

    - #### JAXRException

          public JAXRException()

      Constructs a `JAXRException` object with no reason or embedded Throwable.

    - #### JAXRException

          public JAXRException(String reason)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown.
      Parameters:
        `reason` - a description of what caused the exception

    - #### JAXRException

          public JAXRException(String reason,
                       Throwable cause)

      Constructs a `JAXRException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded Throwable.
      Parameters:
        `reason` - a description of what caused the exception
        `cause` - a `Throwable` object that is to be embedded in this `JAXRException` object

    - #### JAXRException

          public JAXRException(Throwable cause)

      Constructs a `JAXRException` object initialized with the given `Throwable` object.
      Parameters:
        `cause` - the Throwable that caused this Exception

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Returns the detail message for this `JAXRException` object.

      If there is an embedded Throwable, and if the `JAXRException` object has no detail message of its own, this method will return the detail message from the embedded Throwable.

      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the error or warning message for this `JAXRException` or, if it has none, the message of the embedded Throwable, if there is one

    - #### getCause

          public Throwable getCause()

      Returns the Throwable embedded in this `JAXRException` if there is one. Otherwise, this method returns `null`.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the embedded Throwable or `null` if there is none

    - #### initCause

          public Throwable initCause(Throwable cause)

      Initializes the cause of this throwable to the specified value. (The cause is the throwable that caused this throwable to get thrown.)

      This method can be called at most once. It is generally called from within the constructor, or immediately after creating the throwable. If this throwable was created with `JAXRException(Throwable)` or `JAXRException(String,Throwable)`, this method cannot be called even once.

      Overrides:
        `initCause` in class `Throwable`
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Returns:
        a reference to this `Throwable` instance.
      Throws:
        `IllegalArgumentException` - if `cause` is this throwable. (A throwable cannot be its own cause.)
        `IllegalStateException` - if this throwable was created with `JAXRException(Throwable)` or `JAXRException(String,Throwable)`, or this method has already been called on this throwable.

    - #### getRequestId

          public String getRequestId()

      Description copied from interface: `JAXRResponse`
      Returns the unique id for the request that generated this response.

      Capability Level: 0
      Specified by:
        `getRequestId` in interface `JAXRResponse`
      Returns:
        the request id

    - #### getStatus

          public int getStatus()

      Description copied from interface: `JAXRResponse`
      Returns the status for this response.

      Capability Level: 0
      Specified by:
        `getStatus` in interface `JAXRResponse`
      Returns:
        the status which is an integer enumerated value
      See Also:
        `JAXRResponse.STATUS_SUCCESS`

    - #### isAvailable

          public boolean isAvailable()
                              throws JAXRException

      Returns true if a response is available, false otherwise. This is a polling method and must not block.
      Specified by:
        `isAvailable` in interface `JAXRResponse`
      Returns:
        `true` if the response is available; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.